Description: Fail the build if any subpackage fails
Origin: vendor
Forwarded: not-needed
Last-Update: 2016-10-09

--- a/exec_make.rb
+++ b/exec_make.rb
@@ -29,7 +29,8 @@
 	if ret
 		success << subdir 
 	else
-		failure << subdir
+                puts "Building of #{subdir} failed."
+                exit(1)
 	end
 end
 
--- a/extconf.rb
+++ b/extconf.rb
@@ -95,6 +95,9 @@
   if ret
     target_modules << subdir
   else
+    if $strict
+      exit(1)
+    end
     ignore_modules << subdir
   end
 end
